%define soversion 0

Name:         	dcatools
Summary:	dcatools - free DTS Coherent Acoustics decoder tools
URL:            http://www.videolan.org/developers/libdca.html
Group:        	Productivity/Multimedia/Other
License:      	GPLv2+
Version:	0.0.5
Release:        2.10
Source0:        http://download.videolan.org/pub/videolan/libdca/0.0.5/libdca-%{version}.tar.bz2
BuildRoot:      %_tmppath/%name-%version-build
Provides:	libdca-tools
BuildRequires:  pkg-config

%description
dcatools are free tools for decoding DTS Coherent Acoustics streams.

%prep
%setup -q -n libdca-%version

%package -n libdca%soversion
Summary:        DTS Coherent Acoustics decoder library
Group:          System/Libraries
# FIXME: hack!?
%ifarch x86_64 ppc64 
Provides:	libdts.so.0()(64bit)
%else
Provides:	libdts.so.0
%endif
Provides:       libdts = %version-%release libdca = %version-%release
Obsoletes:      libdts < %version-%release libdca <= 0.0.2

%description -n libdca%soversion
A free library for decoding DTS Coherent Acoustics streams.

%package -n libdca-devel
Summary:	Development files for libdca
Group: 		Development/Libraries/C and C++
Requires: 	libdca%soversion = %{version}
Provides:       libdts-devel = %version-%release
Obsoletes:      libdts-devel < %version-%release

%description -n libdca-devel
Development files for libdca.

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -fPIC"
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
 --sysconfdir=%{_sysconfdir} \
 --datadir=%{_datadir} \
 --libdir=%{_libdir} \
 --mandir=%{_mandir}

make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install
# FIXME: hack!?
ln -s %_libdir/libdca.so.0 $RPM_BUILD_ROOT/%_libdir/libdts.so.0
ln -s %_libdir/libdca.so $RPM_BUILD_ROOT/%_libdir/libdts.so
rm -f $RPM_BUILD_ROOT%_libdir/*.{a,la}

%clean
rm -rf  %{buildroot}

%post -n libdca0 -p /sbin/ldconfig
%postun -n libdca0 -p /sbin/ldconfig

%files 
%defattr(-, root, root)
%_bindir/*
%_mandir/man1/*

%files -n libdca%soversion
%defattr(-, root, root)
%_libdir/libdca.so.*
%_libdir/libdts.so.*

%files -n libdca-devel
%defattr(-, root, root)
%_libdir/libdca.so
%_libdir/libdts.so
%_includedir/*
%_libdir/pkgconfig/libdca.pc
%_libdir/pkgconfig/libdts.pc

%changelog
* Sun Jun 27 2010 ludwig.nussel@gmx.de
- remove .a and .la files
* Tue Nov  6 2007 henne@links2linux.de
- update to version 0.0.5
- rename to dcatools
- split soname lib package
- split devel subpackage
- provide libdts
* Tue Feb 28 2006 henne@links2linux.de
- dont package general pkgconfig dir
* Wed Mar 31 2004 henne@links2linux.de
- New Package, Version 0.0.2
